//
//  HyxenProMeADInterstitial.h
//  HyxenAdLocus_SDKSample
//
//  Created by Hyxen on 13/2/1.
//
//

#import <Foundation/Foundation.h>
//#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>
#import "ALInterstitialDelegate.h"

@class ALTargeting;

typedef enum {
    AdLocusInterstitialAnimationTypeNone           = 0,
    AdLocusInterstitialAnimationTypeFlipFromLeft   = 1,
    AdLocusInterstitialAnimationTypeFlipFromRight  = 2,
    AdLocusInterstitialAnimationTypeCurlUp         = 3,
    AdLocusInterstitialAnimationTypeCurlDown       = 4,
    AdLocusInterstitialAnimationTypeSlideFromLeft  = 5,
    AdLocusInterstitialAnimationTypeSlideFromRight = 6,
    AdLocusInterstitialAnimationTypeFadeIn         = 7,
    AdLocusInterstitialAnimationTypeRandom         = 8,
} AdLocusInterstitialAnimationType;


@interface ALInterstitial : UIView
{
}

#pragma mark Request at Application Launch


#pragma mark Post-Request
@property (nonatomic, retain) id<ALInterstitialDelegate> delegate;
@property (nonatomic, copy) NSString *key;
@property (nonatomic, strong) ALTargeting *targeting;
@property (nonatomic) BOOL videoMode;

- (void)setInterstitialAnimationType:(AdLocusInterstitialAnimationType)type;
- (ALInterstitial * )requestWithDelegate:(id<ALInterstitialDelegate>)delegate;

//For Unit Test
- (AdLocusInterstitialAnimationType)interstitialAnimationType;

@end
