//
//  HyxenLibProMeHyXenOfflinePushService.h
//  ZeroCard
//
//  Created by Hyxen on 2011/10/13.
//  Copyright 2011年 Hyxen Tech Inc.. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <UserNotifications/UserNotifications.h>
#import <AdLocus/AdLocus.h>

@class ALTargeting;
@interface ALPushService : NSObject {

}

@property (nonatomic)           BOOL enable;
@property (nonatomic, copy)     NSString *key;
@property (nonatomic, strong)   ALTargeting *targeting;
@property (nonatomic, copy)     NSString *FCMkey;
@property (nonatomic, copy)     NSString *FCMAPIkey;


+ (id)sharedInstance;

- (void)showSettingPage;
- (void)test;
+ (void)didReceiveLocalNotification:(id)notification;
+ (void)performFetchWithCompletionHandler:(void (^)(UIBackgroundFetchResult))completionHandler;
+ (void)performFetchWithCompletionHandler:(void (^)(UIBackgroundFetchResult))completionHandler withUserinfo:(NSDictionary *)userinfo;
//+(void)pushCheckNewWithParameter:(NSDictionary *)userInfo notifyContent: (UNMutableNotificationContent *) bestContent;


+ (void)didReceiveNotificationExtensionRequest:(UNNotificationRequest*)request withMutableNotificationContent:(UNMutableNotificationContent*)replacementContent completionHandle:(void(^)(NSDictionary *attach))completionHandler;

+ (UNMutableNotificationContent*)didReceiveNotificationExtensionRequest:(UNNotificationRequest*)request withMutableNotificationContent:(UNMutableNotificationContent*)replacementContent;

//- (void)showNotificationWithInfo:(NSString *)response;

+ (void)pushCheckNew;

//For Unit Test
- (BOOL)checkIsTest;

@property (nonatomic) BOOL isOpenUrl;
@property (nonatomic) UIBackgroundFetchResult bfResult;

@end
